CREATE FUNCTION "dba"."get_mail_staatus"( IN a_staatus integer)
RETURNS Char(50)
BEGIN
  DECLARE ls_staatus char(50);
  case a_staatus
    when 0 then
      set ls_staatus=''
    when 1 then
      set ls_staatus='Saadetud 1 kord'
    when -1 then
      set ls_staatus='Üldine viga'
    when -2 then
      set ls_staatus='Teenusega ei saa puhverserveri kaudu ühendust luua'
    when -3 then
      set ls_staatus='Antud puhverserveri hosti ei õnnestunud lahendada'
    when -4 then
      set ls_staatus='Antud kaughosti ei õnnestunud lahendada'
    when -5 then
      set ls_staatus='Hostiga ühenduse loomine ebaõnnestus'
    when -6 then
      set ls_staatus='Host on ebasobivas vormingus või puudub'
    when -7 then
      set ls_staatus='Protokolli ei toetata'
    when -8 then
      set ls_staatus='Viga SSL ühendusega'
    when -9 then
      set ls_staatus='Serveri sertifikaat on tühistatud'
    when -10 then
      set ls_staatus='Teenuse sertifikaadi autentimine ebaõnnestus'
    when -11 then
      set ls_staatus='Toimingu ajalõpp'
    when -12 then
      set ls_staatus='Kaugserver keelas Curli sisselogimise'
    when -13 then
      set ls_staatus='Võrguandmete saatmine ebaõnnestus'
    when -14 then
      set ls_staatus='Võrguandmete vastuvõtmine ebaõnnestus'
    when -15 then
      set ls_staatus='Vale kasutajanimi või parool'
    when -16 then
      set ls_staatus='Viga kohaliku faili lugemisel'
    when -17 then
      set ls_staatus='Saatjat pole määratud'
    when -18 then
      set ls_staatus='Ühtegi saajat pole määratud'
    else
      if a_staatus>1 then
        set ls_staatus='Saadetud ' + convert(char(10),a_staatus) + ' korda'
      else
        set ls_staatus='Määramata viga'
      end if;
    end case;
  RETURN ls_staatus;
END